import { ExtendedRepositoryPort } from '@mobicoop/ddd-library';
import { AdEntity } from '../../domain/ad.entity';
import { AdReadModel } from '@modules/ad/infrastructure/ad.repository';

export type AdRepositoryPort = ExtendedRepositoryPort<AdEntity> & {
  getCandidates(queryString: string): Promise<AdReadModel[]>;
};
