import { Candidate } from '../../../types/algorithm.types';
import { Processor } from '../algorithm.abstract';

export abstract class Completer extends Processor {
  execute = async (candidates: Candidate[]): Promise<Candidate[]> =>
    this.complete(candidates);

  abstract complete(candidates: Candidate[]): Promise<Candidate[]>;
}
