import {
  Coordinates,
  SpacetimePoint,
} from '@modules/geography/core/domain/route.types';

export class RouteResponseDto {
  driverDistance?: number;
  driverDuration?: number;
  passengerDistance?: number;
  passengerDuration?: number;
  fwdAzimuth: number;
  backAzimuth: number;
  distanceAzimuth: number;
  points: SpacetimePoint[] | Coordinates[];
}
