import { Role } from '../../domain/ad.types';
import { Waypoint } from '../types/waypoint.type';
import { Route } from '../types/route.type';

export interface RouteProviderPort {
  /**
   * Get a basic route with points and overall duration / distance
   */
  getBasic(roles: Role[], waypoints: Waypoint[]): Promise<Route>;
}
